Subject: RE: piping problems with cron+4nt
From: "Mironov, Leonid {PBG}" <[email-masked]>
To: "'Rafael Kitover'" <[email-masked]>, "'cygwin-list'" <[email-masked]>
Cc: "Mironov, Leonid {PBG}" <[email-masked]>
Date: Thu, 19 Feb 2004 09:57:08 +0300

Rafael Kitover wrote:
> Perhaps try using the cygstart utility, in conjunction with --hide?
> 
Yes, it helped. Thanks a lot.

>> -----Original Message-----
>> From: Mironov, Leonid {PBG}
>> Sent: Wednesday, February 18, 2004 12:59 AM
>> Subject: piping problems with cron+4nt
>> 
>> I've got a bunch of legacy 4NT batches I want to run from cygwin
>> cron. When run from 4NT started from bash these batches work fine
>> but when started from cron all lines with redirection and piping
>> fail, e.g. when I run 
>> 
>>   dir>q
>> 
>> file 'q' is not created,
>> 
>>   dir|sort
>> 
>> starts sort and it sits and waits for keyboard input. Also output
>> from external programs is lost, e.g. if batch looks like
>> 
>>   echo zzz
>>   zip zzz *
>>   echo qqq
>> 
>> and is run as
>> 
>> 0	2	*	*	*	4NT.EXE /c
>> ibackup.btm>>h:\\backup\\bk.log
>> 
>> file h:\backup\bk.log will look like
>> 
>>   zzz
>>   qqq
>> 
>> zip output is missing, although zip archive is created.
>> 
>> Any ideas?
>> 
>> Win XP SP1, just refreshed cygwin and 4NT to latest bulds whith no
>> effect at all. 
>> 
>> :), Leo

:), Leo

---
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/